> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代币 - 元数据

> 获取代币元数据



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml GET /v2/token/{chain}/{tokenAddress}/metadata
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/token/{chain}/{tokenAddress}/metadata:
    get:
      tags:
        - Token
      summary: 代币 - 元数据
      description: 获取代币元数据
      operationId: get.metadata
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: 代币地址
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: 获取元数据
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenMetadata'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenMetadata:
      type: object
      description: Token metadata
      required:
        - address
        - chain
        - symbol
        - name
        - decimals
      properties:
        address:
          type: string
          description: 代币合约地址
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain:
          type: string
          description: 区块链网络标识
          example: sol
        coingeckoCoinId:
          type:
            - string
            - 'null'
          description: CoinGecko 币种标识
          example: usd-coin
        decimals:
          type: string
          description: 小数位数
          example: '9'
        description:
          type:
            - string
            - 'null'
          description: 代币描述
          example: USDC is a stablecoin pegged to the US dollar
        devLastTokenCreatedAt:
          type:
            - string
            - 'null'
          description: 开发者最近一次创建代币的时间戳
          example: '2025-12-03T09:23:34.000Z'
        devTotalTokens:
          type:
            - string
            - 'null'
          description: 开发者创建的代币总数
          example: '163'
        extra:
          $ref: '#/components/schemas/TokenExtra'
          description: 代币扩展元数据
        firstTradeAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 首次交易时间戳
          example: 1714857600000
        imageUrl:
          type:
            - string
            - 'null'
          description: 代币 Logo 图片 URL
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        metadataAddress:
          type:
            - string
            - 'null'
          description: 链上元数据账户地址
          example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
        name:
          type: string
          description: 代币显示名称
          example: USD Coin
        socialMedias:
          $ref: '#/components/schemas/TokenSocialMedias'
          description: 代币社交媒体链接
        symbol:
          type: string
          description: 代币代号
          example: USDC
        tokenCreatedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 代币创建时间戳（毫秒）
          example: 1710417600000
        tokenCreatedBlockHeight:
          type:
            - string
            - 'null'
          description: 代币创建时的区块高度
          example: '220000000'
        tokenCreatedSlot:
          type:
            - string
            - 'null'
          description: 代币创建时的 Slot 编号
          example: '230000000'
        tokenCreatedTxSignature:
          type:
            - string
            - 'null'
          description: 代币创建交易签名
          example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
        tokenCreators:
          type: array
          items:
            $ref: '#/components/schemas/TokenCreator'
          description: 代币创建者列表
        translations:
          $ref: '#/components/schemas/TokenTranslations'
          description: 本地化的名称/符号翻译
        updatedAt:
          type:
            - string
            - 'null'
          description: 最后更新时间戳
          example: '2026-02-09T08:05:12.345Z'
        uri:
          type:
            - string
            - 'null'
          description: 代币元数据 URI
          example: https://arweave.net/abc123
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT 集合地址
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: 代币是否有进行中的 DexScreener 广告
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 广告时间戳
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 推广时间戳
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener 推广费用（美元）
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: 代币是否出现在 DexScreener 热门栏
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 出现在 DexScreener 热门栏的时间戳
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: 代币资料链接是否在 DexScreener 更新过
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 链接更新时间戳
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: 版本 Nonce 值
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: 冻结权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: 是否为同质化代币
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: 元数据是否可变
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: 是否为原生代币（如 SOL）
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: 集合是否已验证
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: 代币是否为包装代币
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex 账户密钥类型
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: 发射平台程序地址
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: 发射平台协议族
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: 发射时使用的计价代币地址
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 迁移时间戳（毫秒）
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 迁移目标池子地址
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 迁移目标程序地址
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 迁移目标协议族
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: 铸造权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: 是否已发生首次销售
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: 代币程序地址
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 卖方费率（基点）
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: 代币标准（如 Fungible）
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 更新权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket 仓库 URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord 服务器 URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook 页面 URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster 账号或 URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub 仓库 URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram 账号
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn 页面 URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium 博客 URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit 社区 URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram 群组 URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok 账号
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter 账号或 URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 官方网站 URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube 频道 URL
          example: https://youtube.com/@circle
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 创建者钱包地址
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 创建者是否已验证
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 创建者收益分成比例
          example: 100
    TokenTranslations:
      type: object
      description: |-
        Token translations for multi-locale display (e.g. Chinese markets).
        Sourced from CoinGecko `/coins/{id}` localization or community data.
      properties:
        nameZhcn:
          type:
            - string
            - 'null'
        symbolZhcn:
          type:
            - string
            - 'null'
        transName:
          type:
            - string
            - 'null'
        transSymbol:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````